XindiceWrapperFactory
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.XindiceWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class XindiceWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.bbk.dcs.automed.xml.wrappers.XindiceWrapperFactory

    public class XindiceWrapperFactory

extends AutoMedWrapperFactory

Class Task Description

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`XindiceWrapperFactory()`

Method Summary
`Schema` | `createAutoMedSchema(AutoMedWrapper wrapper, java.lang.String schemaName)` Create an AutoMed oriented schema from the source oriented schema.
`protected void` | `createTypeHierarchy()`
`Model` | `getAutoMedModel()` Return the AutoMed oriented `Model` used to represent the `Schema` of the datasource.
`java.lang.String[]` | `getFeatureNames()` Return the list of feature names provided by the wrapper factory.
`Model` | `getModel()` Return the source oriented `Model` used to represent the `Schema` of the datasource.
`protected AutoMedWrapper` | `newAutoMedWrapper()` Create a new empty wrapper instance that this wrapper factory is then able to populate.
`protected void` | `populateSchema(AutoMedWrapper wrapper)` Read the metadata from the wrapper connection, and store in existing Schema within the wrapper.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, safeIQL, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XindiceWrapperFactory

    public XindiceWrapperFactory()

Method Detail

### getFeatureNames

    public final java.lang.String[] getFeatureNames()

  Description copied from class: `AutoMedWrapperFactory`
  Return the list of feature names provided by the wrapper factory. The order to of feature names is the same as the bit position in the `#setFeature` methods. In particular you may use the list on `javax.swing.JList#setListData()`

  Specified by:
    `getFeatureNames` in class `AutoMedWrapperFactory`

### getModel

    public final Model getModel()

  Description copied from class: `AutoMedWrapperFactory`
  Return the source oriented `Model` used to represent the `Schema` of the datasource. For some wrappers, this may be the same as AutoMed oriented `Model` returned by `AutoMedWrapperFactory.getAutoMedModel()`

  Specified by:
    `getModel` in class `AutoMedWrapperFactory`

### populateSchema

    protected void populateSchema(AutoMedWrapper wrapper)

  Description copied from class: `AutoMedWrapperFactory`
  Read the metadata from the wrapper connection, and store in existing Schema within the wrapper. To be called by `AutoMedWrapper` instances as part of the wrapper creation process.

  Specified by:
    `populateSchema` in class `AutoMedWrapperFactory`

### getAutoMedModel

    public final Model getAutoMedModel()

  Description copied from class: `AutoMedWrapperFactory`
  Return the AutoMed oriented `Model` used to represent the `Schema` of the datasource.

  Specified by:
    `getAutoMedModel` in class `AutoMedWrapperFactory`

### createAutoMedSchema

    public final Schema createAutoMedSchema(AutoMedWrapper wrapper,
                                            java.lang.String schemaName)

  Description copied from class: `AutoMedWrapperFactory`
  Create an AutoMed oriented schema from the source oriented schema.

  Specified by:
    `createAutoMedSchema` in class `AutoMedWrapperFactory`
  Parameters:
    `wrapper` - A wrapper containing the source oriented `Schema` from which the AutoMed oriented Schema should be produced.
    `schemaName` - name of the new AutoMed construct oriented schema that is to be created from the source oriented schema. This schema must not yet exist.

### createTypeHierarchy

    protected void createTypeHierarchy()
                                throws AutoMedException

  Throws:
    `AutoMedException`

### newAutoMedWrapper

    protected AutoMedWrapper newAutoMedWrapper()

  Description copied from class: `AutoMedWrapperFactory`
  Create a new empty wrapper instance that this wrapper factory is then able to populate.

  Specified by:
    `newAutoMedWrapper` in class `AutoMedWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD